Updates the target workflow with all data from the source workflow (except version history),
optionally copies trajectories, and deletes the source workflow.
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
JSON schema for validating merged run inputs. Sensitive root keys are exposed with a '$' prefix in schema validation (for example sensitive_input_values.api_key -> '$api_key').
Optional workflow-level allowlist for execute_terminal_command. When set, the agent may only run commands that exactly match one of the approved command templates.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Cyberdesk Docs","colors":{"primary":"#3b82f6","light":"#dbeafe","dark":"#1d4ed8"},"logo":{"light":"https://mintcdn.com/cyberdesk/rrJLQX3349IKA_1Y/logo/wordmark-black.svg?fit=max\u0026auto=format\u0026n=rrJLQX3349IKA_1Y\u0026q=85\u0026s=70df31cd0fe9c8c03bd870850e6abad1","dark":"https://mintcdn.com/cyberdesk/rrJLQX3349IKA_1Y/logo/wordmark-white.svg?fit=max\u0026auto=format\u0026n=rrJLQX3349IKA_1Y\u0026q=85\u0026s=efb75dfc3af81651545ce4fb8a931f71"},"favicon":"https://mintcdn.com/cyberdesk/rrJLQX3349IKA_1Y/favicon.svg?fit=max\u0026auto=format\u0026n=rrJLQX3349IKA_1Y\u0026q=85\u0026s=63f8354d6cad976e700a748474e359d0","navbar":{"links":[{"href":"mailto:founders@cyberdesk.io","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://cyberdesk.io/dashboard"}},"footer":{"socials":{"x":"https://x.com/cyberdeskhq","github":"https://github.com/cyberdesk-hq/cyberdriver","linkedin":"https://linkedin.com/company/cyberdeskhq"}},"contextual":{"options":["copy","view","chatgpt","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Community","icon":"discord","href":"https://discord.gg/ws5ddx5yZ8"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cyberdesk","hasAudioNarration":false,"actualSubdomain":"cyberdesk","customDomains":["docs.cyberdesk.io"],"gitSource":{"type":"github","owner":"cyberdesk-hq","repo":"cyberdesk-new","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6abdedad7f9886e5779af640","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"API reference","count":143},{"language":"default","tag":"Endpoints","count":142},{"language":"default","tag":"Guides","count":60},{"language":"default","tag":"Concepts","count":23},{"language":"default","tag":"computer","count":23},{"language":"default","tag":"cyberdriver-auth","count":19},{"language":"default","tag":"workflows","count":16},{"language":"default","tag":"Workflow Prompting","count":15},{"language":"default","tag":"Cyberdriver","count":11},{"language":"default","tag":"runs","count":11}]},"assistantConfig":{"deflection":{"enabled":true,"email":"founders@cyberdesk.io","showHelpButton":true}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/workflows/merge-workflow","slug":"/api-reference/workflows/merge-workflow","pageMetadata":{"title":"Merge Workflow","description":"Merge the current workflow into another workflow.\n\nUpdates the target workflow with all data from the source workflow (except version history),\noptionally copies trajectories, and deletes the source workflow.","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows/{workflow_id}/merge","href":"/api-reference/workflows/merge-workflow","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Merge the current workflow into another workflow.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Updates the target workflow with all data from the source workflow (except version history),\\noptionally copies trajectories, and deletes the source workflow.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Merge Workflow","description":"Merge the current workflow into another workflow.\n\nUpdates the target workflow with all data from the source workflow (except version history),\noptionally copies trajectories, and deletes the source workflow.","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows/{workflow_id}/merge","href":"/api-reference/workflows/merge-workflow","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["workflows"],"summary":"Merge Workflow","description":"Merge the current workflow into another workflow.\n\nUpdates the target workflow with all data from the source workflow (except version history),\noptionally copies trajectories, and deletes the source workflow.","operationId":"merge_workflow_v1_workflows__workflow_id__merge_post","security":["269c0005-3b10-43b7-ba3f-ad3d1c0b7f91"],"parameters":["2af050ed-b5b2-408a-99b0-ed987c356e93","5cb95dd4-587a-4ac8-a79d-1535d5ba5ae4"],"requestBody":"764f2829-9814-49ed-a7d7-f8b0f3b204ba","responses":{"200":"7115e1d0-7cdf-4368-930a-38615c8845b9","422":"0bc2e9b7-e0f9-4bd9-9be3-7385b4db7554"},"method":"post","type":"path","servers":["5d9dc265-cc15-49a9-96d0-94b871d1e5eb","6170478c-28fa-47fc-a7ae-6562a2ecf335"],"path":"/v1/workflows/{workflow_id}/merge","baseUrlOptions":["https://api.cyberdesk.io","https://cyberdesk-api-dev.fly.dev"],"title":"Merge Workflow","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"2af050ed-b5b2-408a-99b0-ed987c356e93":{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workflow Id","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"}},"5cb95dd4-587a-4ac8-a79d-1535d5ba5ae4":{"name":"Idempotency-Key","in":"header","required":false,"description":"Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.","schema":{"type":"string","example":"550e8400-e29b-41d4-a716-446655440000","isRequired":false,"description":"Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"target_workflow_id":{"type":"string","format":"uuid","title":"Target Workflow Id","description":"Workflow ID to merge into","isRequired":true,"uniqueKey":"target_workflow_id","typeLabel":"string\u003cuuid>"},"copy_trajectories":{"type":"boolean","title":"Copy Trajectories","description":"Whether to copy trajectories to the target workflow","default":false,"uniqueKey":"copy_trajectories","typeLabel":"boolean"}},"type":"object","required":["target_workflow_id"],"title":"WorkflowMergeRequest","description":"Schema for merging workflows","uniqueKey":"","typeLabel":"WorkflowMergeRequest · object"},"examples":{"Example":{"title":"Example","value":{"target_workflow_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","copy_trajectories":false}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"7115e1d0-7cdf-4368-930a-38615c8845b9":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"main_prompt":{"type":"string","minLength":1,"title":"Main Prompt","isRequired":true,"uniqueKey":"main_prompt","typeLabel":"string"},"id":{"type":"string","format":"uuid","title":"Id","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"created_at":{"type":"string","format":"date-time","title":"Created At","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"},"name":{"oneOf":[{"type":"string","title":"Name","maxLength":255,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Name","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"input_schema":{"oneOf":[{"type":"string","title":"Input Schema","description":"JSON schema for validating merged run inputs. Sensitive root keys are exposed with a '$' prefix in schema validation (for example sensitive_input_values.api_key -> '$api_key').","uniqueKey":"input_schema.oneOf.0","typeLabel":"string"},{"type":"null","title":"Input Schema","description":"JSON schema for validating merged run inputs. Sensitive root keys are exposed with a '$' prefix in schema validation (for example sensitive_input_values.api_key -> '$api_key').","uniqueKey":"input_schema.oneOf.1","typeLabel":"null"}],"uniqueKey":"input_schema","typeLabel":"string | null"},"output_schema":{"oneOf":[{"type":"string","title":"Output Schema","description":"JSON schema for output data transformation","uniqueKey":"output_schema.oneOf.0","typeLabel":"string"},{"type":"null","title":"Output Schema","description":"JSON schema for output data transformation","uniqueKey":"output_schema.oneOf.1","typeLabel":"null"}],"uniqueKey":"output_schema","typeLabel":"string | null"},"includes_file_exports":{"type":"boolean","title":"Includes File Exports","description":"Enable AI-based file export detection","default":false,"uniqueKey":"includes_file_exports","typeLabel":"boolean"},"is_webhooks_enabled":{"type":"boolean","title":"Is Webhooks Enabled","description":"Send webhook on run completion","default":false,"uniqueKey":"is_webhooks_enabled","typeLabel":"boolean"},"terminal_command_allowlist":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"terminal_command_allowlist.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Terminal Command Allowlist","description":"Optional workflow-level allowlist for execute_terminal_command. When set, the agent may only run commands that exactly match one of the approved command templates.","uniqueKey":"terminal_command_allowlist.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Terminal Command Allowlist","description":"Optional workflow-level allowlist for execute_terminal_command. When set, the agent may only run commands that exactly match one of the approved command templates.","uniqueKey":"terminal_command_allowlist.oneOf.1","typeLabel":"null"}],"uniqueKey":"terminal_command_allowlist","typeLabel":"string[] | null"},"model_metadata":{"oneOf":[{"type":"object","title":"WorkflowModelMetadata","description":"Optional workflow-level model configuration metadata (main agent, cache detection, and fallbacks).","properties":{"main_agent_model_id":{"oneOf":[{"type":"string","title":"Main Agent Model Id","description":"ModelConfiguration.id used for the main agent. Null → Cyberdesk default.","format":"uuid","uniqueKey":"model_metadata.oneOf.0.main_agent_model_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Main Agent Model Id","description":"ModelConfiguration.id used for the main agent. Null → Cyberdesk default.","uniqueKey":"model_metadata.oneOf.0.main_agent_model_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_metadata.oneOf.0.main_agent_model_id","typeLabel":"string\u003cuuid> | null"},"cache_detection_model_id":{"oneOf":[{"type":"string","title":"Cache Detection Model Id","description":"ModelConfiguration.id used for cache detection. Null → Cyberdesk default.","format":"uuid","uniqueKey":"model_metadata.oneOf.0.cache_detection_model_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Cache Detection Model Id","description":"ModelConfiguration.id used for cache detection. Null → Cyberdesk default.","uniqueKey":"model_metadata.oneOf.0.cache_detection_model_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_metadata.oneOf.0.cache_detection_model_id","typeLabel":"string\u003cuuid> | null"},"fallback_model_1_id":{"oneOf":[{"type":"string","title":"Fallback Model 1 Id","description":"ModelConfiguration.id used as fallback 1 (global across agents).","format":"uuid","uniqueKey":"model_metadata.oneOf.0.fallback_model_1_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Fallback Model 1 Id","description":"ModelConfiguration.id used as fallback 1 (global across agents).","uniqueKey":"model_metadata.oneOf.0.fallback_model_1_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_metadata.oneOf.0.fallback_model_1_id","typeLabel":"string\u003cuuid> | null"},"fallback_model_2_id":{"oneOf":[{"type":"string","title":"Fallback Model 2 Id","description":"ModelConfiguration.id used as fallback 2 (global across agents).","format":"uuid","uniqueKey":"model_metadata.oneOf.0.fallback_model_2_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Fallback Model 2 Id","description":"ModelConfiguration.id used as fallback 2 (global across agents).","uniqueKey":"model_metadata.oneOf.0.fallback_model_2_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_metadata.oneOf.0.fallback_model_2_id","typeLabel":"string\u003cuuid> | null"}},"uniqueKey":"model_metadata.oneOf.0","typeLabel":"WorkflowModelMetadata · object"},{"type":"null","description":"Optional workflow-level model configuration metadata (main agent, cache detection, and fallbacks).","uniqueKey":"model_metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_metadata","typeLabel":"WorkflowModelMetadata · object | null"},"post_run_check_failure_cleanup_prompt":{"oneOf":[{"type":"string","title":"Post Run Check Failure Cleanup Prompt","description":"Optional workflow-level cleanup prompt that runs when any post-run check fails during a session or chain.","uniqueKey":"post_run_check_failure_cleanup_prompt.oneOf.0","typeLabel":"string"},{"type":"null","title":"Post Run Check Failure Cleanup Prompt","description":"Optional workflow-level cleanup prompt that runs when any post-run check fails during a session or chain.","uniqueKey":"post_run_check_failure_cleanup_prompt.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_check_failure_cleanup_prompt","typeLabel":"string | null"},"user_id":{"oneOf":[{"type":"string","title":"User Id","format":"uuid","uniqueKey":"user_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"User Id","uniqueKey":"user_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_id","typeLabel":"string\u003cuuid> | null"},"organization_id":{"oneOf":[{"type":"string","title":"Organization Id","uniqueKey":"organization_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization Id","uniqueKey":"organization_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"organization_id","typeLabel":"string | null"},"includes_input_variables":{"type":"boolean","title":"Includes Input Variables","default":false,"uniqueKey":"includes_input_variables","typeLabel":"boolean"},"workflow_metadata":{"oneOf":[{"type":"object","title":"WorkflowInternalMetadata","description":"Internal workflow metadata used for run/error tracking.","properties":{"has_unaddressed_error":{"oneOf":[{"type":"boolean","title":"Has Unaddressed Error","description":"True when at least one run has failed and remains unaddressed.","uniqueKey":"workflow_metadata.oneOf.0.has_unaddressed_error.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Has Unaddressed Error","description":"True when at least one run has failed and remains unaddressed.","uniqueKey":"workflow_metadata.oneOf.0.has_unaddressed_error.oneOf.1","typeLabel":"null"}],"uniqueKey":"workflow_metadata.oneOf.0.has_unaddressed_error","typeLabel":"boolean | null"},"last_errored_run_start":{"oneOf":[{"type":"string","title":"Last Errored Run Start","description":"Start timestamp of the most recent errored/task_failed run.","format":"date-time","uniqueKey":"workflow_metadata.oneOf.0.last_errored_run_start.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Last Errored Run Start","description":"Start timestamp of the most recent errored/task_failed run.","uniqueKey":"workflow_metadata.oneOf.0.last_errored_run_start.oneOf.1","typeLabel":"null"}],"uniqueKey":"workflow_metadata.oneOf.0.last_errored_run_start","typeLabel":"string\u003cdate-time> | null"},"last_errored_run_uuid":{"oneOf":[{"type":"string","title":"Last Errored Run Uuid","description":"Run UUID of the most recent errored/task_failed run.","format":"uuid","uniqueKey":"workflow_metadata.oneOf.0.last_errored_run_uuid.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Last Errored Run Uuid","description":"Run UUID of the most recent errored/task_failed run.","uniqueKey":"workflow_metadata.oneOf.0.last_errored_run_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"workflow_metadata.oneOf.0.last_errored_run_uuid","typeLabel":"string\u003cuuid> | null"}},"uniqueKey":"workflow_metadata.oneOf.0","typeLabel":"WorkflowInternalMetadata · object"},{"type":"null","description":"Internal workflow metadata used for run/error tracking.","uniqueKey":"workflow_metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"workflow_metadata","typeLabel":"WorkflowInternalMetadata · object | null"},"old_versions":{"oneOf":[{"type":"array","items":{"additionalProperties":true,"type":"object","uniqueKey":"old_versions.oneOf.0.items.[INDEX]","typeLabel":"object"},"title":"Old Versions","uniqueKey":"old_versions.oneOf.0","typeLabel":"Old Versions · object[]"},{"type":"null","title":"Old Versions","uniqueKey":"old_versions.oneOf.1","typeLabel":"null"}],"uniqueKey":"old_versions","typeLabel":"Old Versions · object[] | null"},"tags":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","maxLength":100,"minLength":1,"title":"Name","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].name","typeLabel":"string"},"id":{"type":"string","format":"uuid","title":"Id","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"organization_id":{"type":"string","title":"Organization Id","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].organization_id","typeLabel":"string"},"order":{"type":"integer","title":"Order","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].order","typeLabel":"integer"},"created_at":{"type":"string","format":"date-time","title":"Created At","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"description":{"oneOf":[{"type":"string","title":"Description","maxLength":500,"uniqueKey":"tags.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","uniqueKey":"tags.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"emoji":{"oneOf":[{"type":"string","title":"Emoji","maxLength":10,"uniqueKey":"tags.oneOf.0.items.[INDEX].emoji.oneOf.0","typeLabel":"string"},{"type":"null","title":"Emoji","uniqueKey":"tags.oneOf.0.items.[INDEX].emoji.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].emoji","typeLabel":"string | null"},"color":{"oneOf":[{"type":"string","title":"Color","maxLength":20,"uniqueKey":"tags.oneOf.0.items.[INDEX].color.oneOf.0","typeLabel":"string"},{"type":"null","title":"Color","uniqueKey":"tags.oneOf.0.items.[INDEX].color.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].color","typeLabel":"string | null"},"group_id":{"oneOf":[{"type":"string","title":"Group Id","description":"Optional group for mutual exclusivity","format":"uuid","uniqueKey":"tags.oneOf.0.items.[INDEX].group_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Group Id","description":"Optional group for mutual exclusivity","uniqueKey":"tags.oneOf.0.items.[INDEX].group_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].group_id","typeLabel":"string\u003cuuid> | null"},"is_archived":{"type":"boolean","title":"Is Archived","default":false,"uniqueKey":"tags.oneOf.0.items.[INDEX].is_archived","typeLabel":"boolean"},"workflow_count":{"oneOf":[{"type":"integer","title":"Workflow Count","description":"Number of workflows with this tag (returned in list endpoint)","uniqueKey":"tags.oneOf.0.items.[INDEX].workflow_count.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Workflow Count","description":"Number of workflows with this tag (returned in list endpoint)","uniqueKey":"tags.oneOf.0.items.[INDEX].workflow_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].workflow_count","typeLabel":"integer | null"},"group":{"oneOf":[{"type":"object","title":"WorkflowTagGroupResponse","description":"The group this tag belongs to","required":["name","id","organization_id","order","created_at","updated_at"],"properties":{"name":{"type":"string","maxLength":100,"minLength":1,"title":"Name","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.name","typeLabel":"string"},"id":{"type":"string","format":"uuid","title":"Id","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.id","typeLabel":"string\u003cuuid>"},"organization_id":{"type":"string","title":"Organization Id","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.organization_id","typeLabel":"string"},"order":{"type":"integer","title":"Order","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.order","typeLabel":"integer"},"created_at":{"type":"string","format":"date-time","title":"Created At","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","isRequired":true,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.updated_at","typeLabel":"string\u003cdate-time>"},"description":{"oneOf":[{"type":"string","title":"Description","maxLength":500,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.description","typeLabel":"string | null"},"emoji":{"oneOf":[{"type":"string","title":"Emoji","maxLength":10,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.emoji.oneOf.0","typeLabel":"string"},{"type":"null","title":"Emoji","uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.emoji.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.emoji","typeLabel":"string | null"},"color":{"oneOf":[{"type":"string","title":"Color","maxLength":20,"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.color.oneOf.0","typeLabel":"string"},{"type":"null","title":"Color","uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.color.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0.color","typeLabel":"string | null"}},"uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.0","typeLabel":"WorkflowTagGroupResponse · object"},{"type":"null","description":"The group this tag belongs to","uniqueKey":"tags.oneOf.0.items.[INDEX].group.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags.oneOf.0.items.[INDEX].group","typeLabel":"WorkflowTagGroupResponse · object | null"}},"type":"object","required":["name","id","organization_id","order","created_at","updated_at"],"title":"WorkflowTagResponse","description":"Workflow tag response schema","uniqueKey":"tags.oneOf.0.items.[INDEX]","typeLabel":"WorkflowTagResponse · object"},"title":"Tags","description":"Tags assigned to this workflow","uniqueKey":"tags.oneOf.0","typeLabel":"WorkflowTagResponse · object[]"},{"type":"null","title":"Tags","description":"Tags assigned to this workflow","uniqueKey":"tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"tags","typeLabel":"WorkflowTagResponse · object[] | null"},"post_run_checks":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","isRequired":true,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["run_attachment_exists","run_attachment_image_check","output_data_passes_schema_validation","output_data_agentic_check"],"title":"PostRunCheckType","isRequired":true,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"id":{"type":"string","format":"uuid","title":"Id","isRequired":true,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"organization_id":{"type":"string","title":"Organization Id","isRequired":true,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].organization_id","typeLabel":"string"},"order":{"type":"integer","title":"Order","isRequired":true,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].order","typeLabel":"integer"},"created_at":{"type":"string","format":"date-time","title":"Created At","isRequired":true,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","isRequired":true,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"description":{"oneOf":[{"type":"string","title":"Description","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"file_target_mode":{"oneOf":[{"type":"string","title":"PostRunCheckFileTargetMode","enum":["exact","regex","loop_items"],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_target_mode.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_target_mode.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_target_mode","typeLabel":"enum\u003cstring> | null"},"file_names":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_names.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"File Names","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_names.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"File Names","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_names.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_names","typeLabel":"string[] | null"},"file_name_regex":{"oneOf":[{"type":"string","title":"File Name Regex","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_name_regex.oneOf.0","typeLabel":"string"},{"type":"null","title":"File Name Regex","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_name_regex.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].file_name_regex","typeLabel":"string | null"},"expected_match_count":{"oneOf":[{"type":"integer","title":"Expected Match Count","minimum":1,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].expected_match_count.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Expected Match Count","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].expected_match_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].expected_match_count","typeLabel":"integer | null"},"expected_match_count_ref":{"oneOf":[{"type":"string","title":"Expected Match Count Ref","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].expected_match_count_ref.oneOf.0","typeLabel":"string"},{"type":"null","title":"Expected Match Count Ref","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].expected_match_count_ref.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].expected_match_count_ref","typeLabel":"string | null"},"loop_input":{"oneOf":[{"type":"string","title":"Loop Input","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].loop_input.oneOf.0","typeLabel":"string"},{"type":"null","title":"Loop Input","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].loop_input.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].loop_input","typeLabel":"string | null"},"loop_item_filename_template":{"oneOf":[{"type":"string","title":"Loop Item Filename Template","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].loop_item_filename_template.oneOf.0","typeLabel":"string"},{"type":"null","title":"Loop Item Filename Template","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].loop_item_filename_template.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].loop_item_filename_template","typeLabel":"string | null"},"allow_missing_attachments":{"type":"boolean","title":"Allow Missing Attachments","default":false,"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].allow_missing_attachments","typeLabel":"boolean"},"check_prompt":{"oneOf":[{"type":"string","title":"Check Prompt","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].check_prompt.oneOf.0","typeLabel":"string"},{"type":"null","title":"Check Prompt","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].check_prompt.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].check_prompt","typeLabel":"string | null"},"model":{"oneOf":[{"type":"string","title":"Model","description":"Optional ModelConfiguration id override for agentic post-run checks.","format":"uuid","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].model.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Model","description":"Optional ModelConfiguration id override for agentic post-run checks.","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].model.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].model","typeLabel":"string\u003cuuid> | null"},"user_id":{"oneOf":[{"type":"string","title":"User Id","format":"uuid","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].user_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"User Id","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].user_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks.oneOf.0.items.[INDEX].user_id","typeLabel":"string\u003cuuid> | null"}},"type":"object","required":["name","type","id","organization_id","order","created_at","updated_at"],"title":"WorkflowPostRunCheckResponse","description":"Workflow response shape for post-run checks, including workflow-specific order.","uniqueKey":"post_run_checks.oneOf.0.items.[INDEX]","typeLabel":"WorkflowPostRunCheckResponse · object"},"title":"Post Run Checks","description":"Post-run checks assigned to this workflow.","uniqueKey":"post_run_checks.oneOf.0","typeLabel":"WorkflowPostRunCheckResponse · object[]"},{"type":"null","title":"Post Run Checks","description":"Post-run checks assigned to this workflow.","uniqueKey":"post_run_checks.oneOf.1","typeLabel":"null"}],"uniqueKey":"post_run_checks","typeLabel":"WorkflowPostRunCheckResponse · object[] | null"}},"type":"object","required":["main_prompt","id","created_at","updated_at"],"title":"WorkflowResponse","description":"Workflow response schema","uniqueKey":"","typeLabel":"WorkflowResponse · object"},"examples":{"Example":{"title":"Example","value":{"main_prompt":"\u003cstring>","id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","name":"\u003cstring>","input_schema":"\u003cstring>","output_schema":"\u003cstring>","includes_file_exports":false,"is_webhooks_enabled":false,"terminal_command_allowlist":["\u003cstring>"],"model_metadata":{"main_agent_model_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","cache_detection_model_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","fallback_model_1_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","fallback_model_2_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a"},"post_run_check_failure_cleanup_prompt":"\u003cstring>","user_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","organization_id":"\u003cstring>","includes_input_variables":false,"workflow_metadata":{"has_unaddressed_error":true,"last_errored_run_start":"2023-11-07T05:31:56Z","last_errored_run_uuid":"3c90c3cc-0d44-4b50-8888-8dd25736052a"},"old_versions":[{}],"tags":[{"name":"\u003cstring>","id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","organization_id":"\u003cstring>","order":123,"created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","description":"\u003cstring>","emoji":"\u003cstring>","color":"\u003cstring>","group_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","is_archived":false,"workflow_count":123,"group":{"name":"\u003cstring>","id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","organization_id":"\u003cstring>","order":123,"created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","description":"\u003cstring>","emoji":"\u003cstring>","color":"\u003cstring>"}}],"post_run_checks":[{"name":"\u003cstring>","type":"run_attachment_exists","id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","organization_id":"\u003cstring>","order":123,"created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","description":"\u003cstring>","file_target_mode":"exact","file_names":["\u003cstring>"],"file_name_regex":"\u003cstring>","expected_match_count":2,"expected_match_count_ref":"\u003cstring>","loop_input":"\u003cstring>","loop_item_filename_template":"\u003cstring>","allow_missing_attachments":false,"check_prompt":"\u003cstring>","model":"3c90c3cc-0d44-4b50-8888-8dd25736052a","user_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"0bc2e9b7-e0f9-4bd9-9be3-7385b4db7554":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","additionalProperties":true,"title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"269c0005-3b10-43b7-ba3f-ad3d1c0b7f91":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[]}}},"servers":{"5d9dc265-cc15-49a9-96d0-94b871d1e5eb":{"url":"https://api.cyberdesk.io","description":"Production server"},"6170478c-28fa-47fc-a7ae-6562a2ecf335":{"url":"https://cyberdesk-api-dev.fly.dev","description":"Development server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"openapi.json"},"subdomain":"cyberdesk","siteName":"Cyberdesk Docs","title":"Merge Workflow - Cyberdesk Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-01T05:20:52.450Z","originalFileLocation":"api-reference/workflows/merge-workflow.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Merge the current workflow into another workflow. Updates the target workflow with all data from the source workflow (except version history), optionally copies trajectories, and deletes the source workflow.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Cyberdesk Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Merge Workflow - Cyberdesk Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Merge the current workflow into another workflow. Updates the target workflow with all data from the source workflow (except version history), optionally copies trajectories, and deletes the source workflow.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cyberdesk Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cyberdesk.mintlify.site/_mintlify/api/og/v2?division=workflows\u0026amp;title=Merge+Workflow\u0026amp;description=Merge+the+current+workflow+into+another+workflow.%0A%0AUpdates+the+target+workflow+with+all+data+from+the+source+workflow+%28except+version+history%29%2C%0Aoptionally+copie\u0026amp;theme=86fdfaa1df5f230cdbe8aef2\u0026amp;signature=ee35274ae278c713c5836392e31a3a4a9aaa8a30d42edf056c0533774daf3720\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Merge Workflow - Cyberdesk Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Merge the current workflow into another workflow. Updates the target workflow with all data from the source workflow (except version history), optionally copies trajectories, and deletes the source workflow.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cyberdesk.mintlify.site/_mintlify/api/og/v2?division=workflows\u0026amp;title=Merge+Workflow\u0026amp;description=Merge+the+current+workflow+into+another+workflow.%0A%0AUpdates+the+target+workflow+with+all+data+from+the+source+workflow+%28except+version+history%29%2C%0Aoptionally+copie\u0026amp;theme=86fdfaa1df5f230cdbe8aef2\u0026amp;signature=ee35274ae278c713c5836392e31a3a4a9aaa8a30d42edf056c0533774daf3720\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cyberdesk/sGMCV_-i4-RJ8wWw/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cyberdesk Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3b82f6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/workflows/merge-workflow.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.cyberdesk.io/#organization\",\"name\":\"Cyberdesk Docs\",\"url\":\"https://docs.cyberdesk.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cyberdesk/rrJLQX3349IKA_1Y/logo/wordmark-black.svg?fit=max\u0026auto=format\u0026n=rrJLQX3349IKA_1Y\u0026q=85\u0026s=70df31cd0fe9c8c03bd870850e6abad1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.cyberdesk.io#website\",\"name\":\"Cyberdesk Docs\",\"url\":\"https://docs.cyberdesk.io\",\"publisher\":{\"@id\":\"https://docs.cyberdesk.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow#webpage\",\"url\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow\",\"name\":\"Merge Workflow\",\"description\":\"Merge the current workflow into another workflow. Updates the target workflow with all data from the source workflow (except version history), optionally copies trajectories, and deletes the source workflow.\",\"dateModified\":\"2026-10-01T05:20:52.450Z\",\"isPartOf\":{\"@id\":\"https://docs.cyberdesk.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.cyberdesk.io/api-reference/health/health-check\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"workflows\",\"item\":\"https://docs.cyberdesk.io/api-reference/workflows/list-workflows\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Merge Workflow\",\"item\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow#apireference\",\"headline\":\"Merge Workflow\",\"name\":\"Merge Workflow\",\"description\":\"Merge the current workflow into another workflow. Updates the target workflow with all data from the source workflow (except version history), optionally copies trajectories, and deletes the source workflow.\",\"url\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow\",\"mainEntityOfPage\":{\"@id\":\"https://docs.cyberdesk.io/api-reference/workflows/merge-workflow#webpage\"},\"dateModified\":\"2026-10-01T05:20:52.450Z\",\"publisher\":{\"@id\":\"https://docs.cyberdesk.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.cyberdesk.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cyberdesk Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Cyberdesk Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/workflows/merge-workflow.md","siteName":"Cyberdesk Docs","nav":{"global":{"anchors":[{"anchor":"Community","icon":"discord","href":"https://discord.gg/ws5ddx5yZ8"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API reference","groups":[{"group":"API documentation","pages":[{"title":"API Reference","href":"/api-reference/introduction"}]},{"group":"Endpoints","pages":[{"group":"health","pages":[{"title":"Health Check","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/health","href":"/api-reference/health/health-check"},{"title":"Database Health Check","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/health/db","href":"/api-reference/health/database-health-check"},{"title":"Health Machines","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/health/machines","href":"/api-reference/health/health-machines"}]},{"group":"machines","pages":[{"title":"List Machines","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/machines","href":"/api-reference/machines/list-machines"},{"title":"Create Machine","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/machines","href":"/api-reference/machines/create-machine"},{"title":"Get Machine","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/machines/{machine_id}","href":"/api-reference/machines/get-machine"},{"title":"Delete Machine","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/machines/{machine_id}","href":"/api-reference/machines/delete-machine"},{"title":"Update Machine","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/machines/{machine_id}","href":"/api-reference/machines/update-machine"},{"title":"Create Cyberdriver Web Session","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/machines/{machine_id}/cyberdriver/web-session","href":"/api-reference/machines/create-cyberdriver-web-session"},{"title":"Get Machine Pools","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/machines/{machine_id}/pools","href":"/api-reference/machines/get-machine-pools"},{"title":"Update Machine Pools","deprecated":null,"version":null,"openapi":"/openapi.json put /v1/machines/{machine_id}/pools","href":"/api-reference/machines/update-machine-pools"}]},{"group":"pools","pages":[{"title":"List Pools","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/pools","href":"/api-reference/pools/list-pools"},{"title":"Create Pool","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/pools","href":"/api-reference/pools/create-pool"},{"title":"Get Pool","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/pools/{pool_id}","href":"/api-reference/pools/get-pool"},{"title":"Delete Pool","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/pools/{pool_id}","href":"/api-reference/pools/delete-pool"},{"title":"Update Pool","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/pools/{pool_id}","href":"/api-reference/pools/update-pool"},{"title":"Add Machines To Pool","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/pools/{pool_id}/machines","href":"/api-reference/pools/add-machines-to-pool"},{"title":"Remove Machines From Pool","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/pools/{pool_id}/machines","href":"/api-reference/pools/remove-machines-from-pool"}]},{"group":"workflows","pages":[{"title":"List Workflows","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflows","href":"/api-reference/workflows/list-workflows"},{"title":"Create Workflow","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows","href":"/api-reference/workflows/create-workflow"},{"title":"Bulk add tags to multiple workflows","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows/bulk/tags","href":"/api-reference/workflows/bulk-add-tags-to-multiple-workflows"},{"title":"Get Workflow","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflows/{workflow_id}","href":"/api-reference/workflows/get-workflow"},{"title":"Delete Workflow","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/workflows/{workflow_id}","href":"/api-reference/workflows/delete-workflow"},{"title":"Update Workflow","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/workflows/{workflow_id}","href":"/api-reference/workflows/update-workflow"},{"title":"Duplicate Workflow","description":"Duplicate a workflow, including prompt images and optional generated trajectories.\n\nCopies everything except version history, and prefixes the name with \"(Copy)\".","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows/{workflow_id}/duplicate","href":"/api-reference/workflows/duplicate-workflow"},{"title":"Merge Workflow","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows/{workflow_id}/merge","href":"/api-reference/workflows/merge-workflow"},{"title":"Get Workflow Versions","description":"Get the version history of a workflow.\n\nReturns a list of previous versions with their prompts and timestamps.\nThe workflow must belong to the authenticated organization.","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflows/{workflow_id}/versions","href":"/api-reference/workflows/get-workflow-versions"},{"title":"Upload a workflow prompt image","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows/prompt-image","href":"/api-reference/workflows/upload-a-workflow-prompt-image"},{"title":"Delete a workflow prompt image","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/workflows/prompt-image","href":"/api-reference/workflows/delete-a-workflow-prompt-image"},{"title":"List workflow prompt images","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflows/prompt-images","href":"/api-reference/workflows/list-workflow-prompt-images"},{"title":"Get signed URL for a prompt image","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflows/prompt-image/signed-url","href":"/api-reference/workflows/get-signed-url-for-a-prompt-image"},{"title":"Get tags for a workflow","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflows/{workflow_id}/tags","href":"/api-reference/workflows/get-tags-for-a-workflow"},{"title":"Add tags to a workflow","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflows/{workflow_id}/tags","href":"/api-reference/workflows/add-tags-to-a-workflow"},{"title":"Remove a tag from a workflow","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/workflows/{workflow_id}/tags/{tag_id}","href":"/api-reference/workflows/remove-a-tag-from-a-workflow"}]},{"group":"workflow-tags","pages":[{"title":"List Tags","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflow-tags","href":"/api-reference/workflow-tags/list-tags"},{"title":"Create Tag","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflow-tags","href":"/api-reference/workflow-tags/create-tag"},{"title":"Get Tag","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflow-tags/{tag_id}","href":"/api-reference/workflow-tags/get-tag"},{"title":"Delete Tag","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/workflow-tags/{tag_id}","href":"/api-reference/workflow-tags/delete-tag"},{"title":"Update Tag","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/workflow-tags/{tag_id}","href":"/api-reference/workflow-tags/update-tag"},{"title":"Archive Tag","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflow-tags/{tag_id}/archive","href":"/api-reference/workflow-tags/archive-tag"},{"title":"Unarchive Tag","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflow-tags/{tag_id}/unarchive","href":"/api-reference/workflow-tags/unarchive-tag"},{"title":"Reorder Tags","deprecated":null,"version":null,"openapi":"/openapi.json put /v1/workflow-tags/reorder","href":"/api-reference/workflow-tags/reorder-tags"}]},{"group":"workflow-tag-groups","pages":[{"title":"List Tag Groups","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflow-tag-groups","href":"/api-reference/workflow-tag-groups/list-tag-groups"},{"title":"Create Tag Group","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/workflow-tag-groups","href":"/api-reference/workflow-tag-groups/create-tag-group"},{"title":"Get Tag Group","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflow-tag-groups/{group_id}","href":"/api-reference/workflow-tag-groups/get-tag-group"},{"title":"Delete Tag Group","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/workflow-tag-groups/{group_id}","href":"/api-reference/workflow-tag-groups/delete-tag-group"},{"title":"Update Tag Group","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/workflow-tag-groups/{group_id}","href":"/api-reference/workflow-tag-groups/update-tag-group"},{"title":"Reorder Tag Groups","deprecated":null,"version":null,"openapi":"/openapi.json put /v1/workflow-tag-groups/reorder","href":"/api-reference/workflow-tag-groups/reorder-tag-groups"}]},{"group":"model-configurations","pages":[{"title":"List Model Configurations","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/model-configurations","href":"/api-reference/model-configurations/list-model-configurations"},{"title":"Create Model Configuration","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/model-configurations","href":"/api-reference/model-configurations/create-model-configuration"},{"title":"Get Model Configuration","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/model-configurations/{model_configuration_id}","href":"/api-reference/model-configurations/get-model-configuration"},{"title":"Delete Model Configuration","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/model-configurations/{model_configuration_id}","href":"/api-reference/model-configurations/delete-model-configuration"},{"title":"Update Model Configuration","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/model-configurations/{model_configuration_id}","href":"/api-reference/model-configurations/update-model-configuration"}]},{"group":"provider-credentials","pages":[{"title":"List Provider Credentials","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/provider-credentials","href":"/api-reference/provider-credentials/list-provider-credentials"},{"title":"Upsert Provider Credential","deprecated":null,"version":null,"openapi":"/openapi.json put /v1/provider-credentials/{slot}","href":"/api-reference/provider-credentials/upsert-provider-credential"},{"title":"Delete Provider Credential","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/provider-credentials/{slot}","href":"/api-reference/provider-credentials/delete-provider-credential"},{"title":"Validate Provider Credential","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/provider-credentials/{slot}/validate","href":"/api-reference/provider-credentials/validate-provider-credential"}]},{"group":"runs","pages":[{"title":"List Runs","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/runs","href":"/api-reference/runs/list-runs"},{"title":"Create Run","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/runs","href":"/api-reference/runs/create-run"},{"title":"Get Run","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/runs/{run_id}","href":"/api-reference/runs/get-run"},{"title":"Delete Run","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/runs/{run_id}","href":"/api-reference/runs/delete-run"},{"title":"Update Run","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/runs/{run_id}","href":"/api-reference/runs/update-run"},{"title":"Get Run Image Signed Url","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/runs/{run_id}/image/signed-url","href":"/api-reference/runs/get-run-image-signed-url"},{"title":"Get Run Trajectory","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/runs/{run_id}/trajectory","href":"/api-reference/runs/get-run-trajectory"},{"title":"Generate Run Trajectory","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/runs/{run_id}/generate-trajectory","href":"/api-reference/runs/generate-run-trajectory"},{"title":"Create Run Chain","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/runs/chain","href":"/api-reference/runs/create-run-chain"},{"title":"Bulk Create Runs","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/runs/bulk","href":"/api-reference/runs/bulk-create-runs"},{"title":"Retry Run","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/runs/{run_id}/retry","href":"/api-reference/runs/retry-run"}]},{"group":"run-attachments","pages":[{"title":"List Run Attachments","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/run-attachments","href":"/api-reference/run-attachments/list-run-attachments"},{"title":"Create Run Attachment","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/run-attachments","href":"/api-reference/run-attachments/create-run-attachment"},{"title":"Get Run Attachment","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/run-attachments/{attachment_id}","href":"/api-reference/run-attachments/get-run-attachment"},{"title":"Update Run Attachment","deprecated":null,"version":null,"openapi":"/openapi.json put /v1/run-attachments/{attachment_id}","href":"/api-reference/run-attachments/update-run-attachment"},{"title":"Delete Run Attachment","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/run-attachments/{attachment_id}","href":"/api-reference/run-attachments/delete-run-attachment"},{"title":"Get Run Attachment Download Url","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/run-attachments/{attachment_id}/download-url","href":"/api-reference/run-attachments/get-run-attachment-download-url"},{"title":"Download Run Attachment","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/run-attachments/{attachment_id}/download","href":"/api-reference/run-attachments/download-run-attachment"}]},{"group":"connections","pages":[{"title":"List Connections","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/connections","href":"/api-reference/connections/list-connections"},{"title":"Create Connection","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/connections","href":"/api-reference/connections/create-connection"},{"title":"Get Connection","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/connections/{connection_id}","href":"/api-reference/connections/get-connection"},{"title":"Delete Connection","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/connections/{connection_id}","href":"/api-reference/connections/delete-connection"},{"title":"Update Connection","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/connections/{connection_id}","href":"/api-reference/connections/update-connection"}]},{"group":"request-logs","pages":[{"title":"List Request Logs","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/request-logs","href":"/api-reference/request-logs/list-request-logs"},{"title":"Create Request Log","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/request-logs","href":"/api-reference/request-logs/create-request-log"},{"title":"Get Request Log","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/request-logs/{log_id}","href":"/api-reference/request-logs/get-request-log"},{"title":"Delete Request Log","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/request-logs/{log_id}","href":"/api-reference/request-logs/delete-request-log"},{"title":"Update Request Log","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/request-logs/{log_id}","href":"/api-reference/request-logs/update-request-log"}]},{"group":"trajectories","pages":[{"title":"List Trajectories","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/trajectories","href":"/api-reference/trajectories/list-trajectories"},{"title":"Create Trajectory","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/trajectories","href":"/api-reference/trajectories/create-trajectory"},{"title":"Get Trajectory","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/trajectories/{trajectory_id}","href":"/api-reference/trajectories/get-trajectory"},{"title":"Delete Trajectory","deprecated":null,"version":null,"openapi":"/openapi.json delete /v1/trajectories/{trajectory_id}","href":"/api-reference/trajectories/delete-trajectory"},{"title":"Update Trajectory","deprecated":null,"version":null,"openapi":"/openapi.json patch /v1/trajectories/{trajectory_id}","href":"/api-reference/trajectories/update-trajectory"},{"title":"Duplicate Trajectory","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/trajectories/{trajectory_id}/duplicate","href":"/api-reference/trajectories/duplicate-trajectory"},{"title":"Get Latest Trajectory For Workflow","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/workflows/{workflow_id}/latest-trajectory","href":"/api-reference/trajectories/get-latest-trajectory-for-workflow"}]},{"group":"computer","pages":[{"title":"Take a screenshot","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/computer/{machine_id}/display/screenshot","href":"/api-reference/computer/take-a-screenshot"},{"title":"Get display dimensions","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/computer/{machine_id}/display/dimensions","href":"/api-reference/computer/get-display-dimensions"},{"title":"Type text","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/input/keyboard/type","href":"/api-reference/computer/type-text"},{"title":"Send key combination","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/input/keyboard/key","href":"/api-reference/computer/send-key-combination"},{"title":"Copy to clipboard via Ctrl+C","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/copy_to_clipboard","href":"/api-reference/computer/copy-to-clipboard-via-ctrl+c"},{"title":"Get mouse position","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/computer/{machine_id}/input/mouse/position","href":"/api-reference/computer/get-mouse-position"},{"title":"Move mouse cursor","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/input/mouse/move","href":"/api-reference/computer/move-mouse-cursor"},{"title":"Click mouse button","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/input/mouse/click","href":"/api-reference/computer/click-mouse-button"},{"title":"Scroll mouse wheel","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/input/mouse/scroll","href":"/api-reference/computer/scroll-mouse-wheel"},{"title":"Drag mouse (native)","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/input/mouse/drag","href":"/api-reference/computer/drag-mouse-native"},{"title":"List directory contents","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/computer/{machine_id}/fs/list","href":"/api-reference/computer/list-directory-contents"},{"title":"Read file contents","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/computer/{machine_id}/fs/read","href":"/api-reference/computer/read-file-contents"},{"title":"Write file contents","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/fs/write","href":"/api-reference/computer/write-file-contents"},{"title":"Run PowerShell simple smoke command","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/shell/powershell/simple","href":"/api-reference/computer/run-powershell-simple-smoke-command"},{"title":"Run PowerShell test smoke command","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/shell/powershell/test","href":"/api-reference/computer/run-powershell-test-smoke-command"},{"title":"Execute PowerShell command","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/shell/powershell/exec","href":"/api-reference/computer/execute-powershell-command"},{"title":"Manage PowerShell session","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/shell/powershell/session","href":"/api-reference/computer/manage-powershell-session"},{"title":"Get Cyberdriver diagnostics","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/computer/{machine_id}/internal/diagnostics","href":"/api-reference/computer/get-cyberdriver-diagnostics"},{"title":"Record remote keepalive activity","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/internal/keepalive/remote/activity","href":"/api-reference/computer/record-remote-keepalive-activity"},{"title":"Enable remote keepalive","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/internal/keepalive/remote/enable","href":"/api-reference/computer/enable-remote-keepalive"},{"title":"Disable remote keepalive","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/internal/keepalive/remote/disable","href":"/api-reference/computer/disable-remote-keepalive"},{"title":"Self-update Cyberdriver","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/computer/{machine_id}/internal/update","href":"/api-reference/computer/self-update-cyberdriver"},{"title":"Shutdown Cyberdriver via tunnel","deprecated":null,"version":null,"openapi":"/openapi.json post /v1/machines/{machine_id}/cyberdriver/shutdown","href":"/api-reference/computer/shutdown-cyberdriver-via-tunnel"}]},{"group":"usage","pages":[{"title":"Get Usage Aggregate","deprecated":null,"version":null,"openapi":"/openapi.json get /v1/usage/aggregate","href":"/api-reference/usage/get-usage-aggregate"}]},{"group":"cyberdriver-auth","pages":[{"title":"Login Options","deprecated":null,"version":null,"openapi":"/openapi.json get /api/login-options","href":"/api-reference/cyberdriver-auth/login-options"},{"title":"Oidc Auth","deprecated":null,"version":null,"openapi":"/openapi.json post /api/oidc/auth","href":"/api-reference/cyberdriver-auth/oidc-auth"},{"title":"Oidc Callback","deprecated":null,"version":null,"openapi":"/openapi.json get /api/oidc/callback","href":"/api-reference/cyberdriver-auth/oidc-callback"},{"title":"Oidc Confirm","deprecated":null,"version":null,"openapi":"/openapi.json post /api/oidc/confirm","href":"/api-reference/cyberdriver-auth/oidc-confirm"},{"title":"Oidc Auth Query","deprecated":null,"version":null,"openapi":"/openapi.json get /api/oidc/auth-query","href":"/api-reference/cyberdriver-auth/oidc-auth-query"},{"title":"Current User","deprecated":null,"version":null,"openapi":"/openapi.json post /api/currentUser","href":"/api-reference/cyberdriver-auth/current-user"},{"title":"Authorize Cyberdriver Connection","deprecated":null,"version":null,"openapi":"/openapi.json post /api/cyberdriver/authorize-connection","href":"/api-reference/cyberdriver-auth/authorize-cyberdriver-connection"},{"title":"Mint Cyberdriver Connection Token","deprecated":null,"version":null,"openapi":"/openapi.json post /api/cyberdriver/connection-token","href":"/api-reference/cyberdriver-auth/mint-cyberdriver-connection-token"},{"title":"Heartbeat","deprecated":null,"version":null,"openapi":"/openapi.json get /api/heartbeat","href":"/api-reference/cyberdriver-auth/heartbeat"},{"title":"Peers","deprecated":null,"version":null,"openapi":"/openapi.json get /api/peers","href":"/api-reference/cyberdriver-auth/peers"},{"title":"Users","deprecated":null,"version":null,"openapi":"/openapi.json get /api/users","href":"/api-reference/cyberdriver-auth/users"},{"title":"Device Group Accessible","deprecated":null,"version":null,"openapi":"/openapi.json get /api/device-group/accessible","href":"/api-reference/cyberdriver-auth/device-group-accessible"},{"title":"Address Book Personal","deprecated":null,"version":null,"openapi":"/openapi.json post /api/ab/personal","href":"/api-reference/cyberdriver-auth/address-book-personal"},{"title":"Address Book Settings","deprecated":null,"version":null,"openapi":"/openapi.json post /api/ab/settings","href":"/api-reference/cyberdriver-auth/address-book-settings"},{"title":"Address Book Shared Profiles","deprecated":null,"version":null,"openapi":"/openapi.json post /api/ab/shared/profiles","href":"/api-reference/cyberdriver-auth/address-book-shared-profiles"},{"title":"Address Book Peers","deprecated":null,"version":null,"openapi":"/openapi.json post /api/ab/peers","href":"/api-reference/cyberdriver-auth/address-book-peers"},{"title":"Address Book Tags","deprecated":null,"version":null,"openapi":"/openapi.json post /api/ab/tags/{_profile_guid}","href":"/api-reference/cyberdriver-auth/address-book-tags"},{"title":"Legacy Address Book","deprecated":null,"version":null,"openapi":"/openapi.json get /api/ab","href":"/api-reference/cyberdriver-auth/legacy-address-book"},{"title":"Save Legacy Address Book","deprecated":null,"version":null,"openapi":"/openapi.json post /api/ab","href":"/api-reference/cyberdriver-auth/save-legacy-address-book"}]},{"group":"API Reference","pages":[{"title":"Root","deprecated":null,"version":null,"openapi":"/openapi.json get /","href":"/api-reference/root"},{"title":"Health Live","deprecated":null,"version":null,"openapi":"/openapi.json get /health/live","href":"/api-reference/health-live"},{"title":"Health Ready","deprecated":null,"version":null,"openapi":"/openapi.json get /health/ready","href":"/api-reference/health-ready"},{"title":"Health","deprecated":null,"version":null,"openapi":"/openapi.json get /health","href":"/api-reference/health"},{"title":"Health Db","deprecated":null,"version":null,"openapi":"/openapi.json get /health/db","href":"/api-reference/health-db"},{"title":"Run complete webhook","version":null,"deprecated":null,"openapi":"/openapi.json webhook run_complete","href":"/api-reference/run-complete-webhook"},{"title":"Downed machines webhook","version":null,"deprecated":null,"openapi":"/openapi.json webhook downed_machines","href":"/api-reference/downed-machines-webhook"}]}]}]}]},"basePath":"","title":"Merge Workflow - Cyberdesk Docs","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}